%global     alphatag            20120304
%global     dustmite_revision   gitcde46e0

# The source for this package was pulled from upstream's git.
# Use the following commands to generate the tarball:
# git clone https://github.com/CyberShadow/DustMite.git
# cd DustMite; git rev-parse --short HEAD            -> for DustMite_rev
# git checkout %%dustmite_rev  
# git archive --prefix=dustmite-%%{alphatag}/ HEAD | xz > ../dustmite-%%{alphatag}.xz

Name:           dustmite
Version:        1
Release:        5.%{alphatag}%{dustmite_revision}%{?dist}
Summary:        Minimizes D source code for debugging

License:        Public Domain
URL:            https://github.com/CyberShadow/DustMite
Source0:        %{name}-%{alphatag}%{dustmite_revision}.xz

BuildRequires:  ldc, ldc-phobos-devel, ldc-druntime-devel

%description
DustMite is a tool which minimizes D source code. It was inspired by Tigris
Delta and a thread on digitalmars.D.learn.
DustMite will parse the source code into a simple hierarchy, and attempt to
shrink it by deleting fragments iteratively, as long as the result satisfies
a user-specified condition.

%description -l fr
DustMite est un outil qui permet de minimiser le code source D. Il a été
inspiré par Tigris Delta et un fil sur digitalmars.D.learn.
DustMite va analyser le code source en une hiérarchie simple, et tenter
de réduire l'erreur de segmentation en supprimant itérativement des fragments,
tant que le résultat répond à une condition spécifiée par l'utilisateur.

%prep
%setup -q -n %{name}-%{alphatag}%{dustmite_revision}

%build
ldc2 %{_d_optflags} -d dustmite.d dsplit.d -of dustmite 

%install
install -Dm 0755 dustmite %{buildroot}%{_bindir}/dustmite

%files
%doc README
%{_bindir}/dustmite

%changelog
* Sun Jun 03 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 1-5.20120221gite2d91da
- build with new dmdfe 2.059

* Thu Mar 15 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 1-4.20120221gite2d91da
- change module order to build

* Mon Mar 12 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 1-3.20111218git84c0e08
- rebuild with ldc update

* Mon Mar 12 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 1-2.20111218git84c0e08
- rebuild with ldc update

* Tue Jan 24 2012 Jonathan MERCIER <bioinfornatics at gmail.com> - 1-1.20111218git84c0e08
- Initial release

